@using Microsoft.AspNetCore.Identity
@using Restaurant.Models

@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager

@if (SignInManager.IsSignedIn(User))
{
    <form asp-area="" asp-controller="Account" asp-action="Logout" method="post" id="logoutForm" class="navbar-right">
        <ul class="nav navbar-nav navbar-right">
            <li class="nav-item">
                <a asp-area="" asp-controller="Manage" asp-action="Index" title="Manage" class="nav-link">Hello @UserManager.GetUserName(User)!</a>
            </li>
            <li class="nav-item">
                <button type="submit" class="btn btn-link navbar-btn nav-link">Log out</button>
            </li>
        </ul>
    </form>
}
else
{
    <ul class="navbar-nav navbar-collapse justify-content-end">
        <li><a asp-area="" asp-controller="Account" class="nav-link" asp-action="Register">Register</a></li>
        <li><a asp-area="" asp-controller="Account" class="nav-link" asp-action="Login">Log in</a></li>
    </ul>
}
